<?php

namespace Plainwork\UiWordPress\Renderer;

use Plainwork\Http\Request;
use Plainwork\Ui\Component\Card;
use Plainwork\Ui\Component\HtmlElement;

class AdminCardRenderer
{
    public function __invoke(Card $el, Request $request)
    {
        $ret = $el->getContent();
        $ret = (new HtmlElement('div', $ret))->withAttr('class', 'inside');
        $ret = (new HtmlElement('div', $ret))->withAttr('class', 'postbox');

        return $ret;
    }
}
